Upstream information

CVE-2019-3687 at MITRE

Description

The permission package in SUSE Linux Enterprise Server allowed all local users to run dumpcap in the "easy" permission profile and sniff network traffic. This issue affects: SUSE Linux Enterprise Server permissions versions starting from 85c83fef7e017f8ab7f8602d3163786d57344439 to 081d081dcfaf61710bda34bc21c80c66276119aa.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 1.9
Vector AV:L/AC:M/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 3.3 5.5
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1148788 [RESOLVED / FIXED], 1180102 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/389-ds:1.4.2
Container caasp/v4/busybox:1.26.2
Container caasp/v4/caasp-dex:2.16.0
Container caasp/v4/cert-exporter:2.3.0
Container caasp/v4/cilium-etcd-operator:2.0.5
Container caasp/v4/cilium-init:1.5.3
Container caasp/v4/cilium-operator:1.6.6
Container caasp/v4/cilium:1.6.6
Container caasp/v4/cloud-provider-openstack:1.15.0
Container caasp/v4/configmap-reload:0.3.0
Container caasp/v4/coredns:1.6.7
Container caasp/v4/curl:7.60.0
Container caasp/v4/etcd:3.4.13
Container caasp/v4/gangway:3.1.0
Container caasp/v4/grafana:7.1.5
Container caasp/v4/helm-tiller:2.16.12
Container caasp/v4/hyperkube:v1.17.17
Container caasp/v4/k8s-sidecar:0.1.75
Container caasp/v4/kube-state-metrics:1.9.3
Container caasp/v4/kubernetes-client:1.17.17
Container caasp/v4/kucero:1.3.0
Container caasp/v4/kured:1.3.0
Container caasp/v4/metrics-server:0.3.6
Container caasp/v4/prometheus-alertmanager:0.16.2
Container caasp/v4/prometheus-node-exporter:1.0.1
Container caasp/v4/prometheus-pushgateway:0.6.0
Container caasp/v4/prometheus-server:2.7.1
Container caasp/v4/rsyslog:8.39.0
Container caasp/v4/skuba-tooling:0.1.0
Container caasp/v4/test-update:beta
Container caasp/v4/velero-plugin-for-aws:1.0.1
Container caasp/v4/velero-plugin-for-gcp:1.0.1
Container caasp/v4/velero-plugin-for-microsoft-azure:1.0.1
Container caasp/v4/velero-restic-restore-helper:1.3.1
Container caasp/v4/velero:1.3.1
Container ses/6/cephcsi/cephcsi:1.2.0.0.1.5.158
Container ses/6/rook/ceph:1.1.1.0.1.5.157
Container suse/sle15:15.1.6.2.170
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-EC2
Image SLES15-SP1-CHOST-BYOS-GCE
  • permissions >= 20181116-9.23.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • permissions >= 20181116-9.23.1
  • permissions-zypp-plugin >= 20181116-9.23.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-547
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • permissions >= 20181224-21.1
  • permissions-zypp-plugin >= 20181224-21.1
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • permissions >= 20181224-23.3.1
  • permissions-zypp-plugin >= 20181224-23.3.1
openSUSE Leap 15.1
  • permissions >= 20181116-lp151.4.12.1
  • permissions-zypp-plugin >= 20181116-lp151.4.12.1
Patchnames:
openSUSE-2020-302
openSUSE Leap 15.3
  • permissions >= 20200127-lp153.24.3.1
  • permissions-zypp-plugin >= 20200127-lp153.24.3.1
Patchnames:
openSUSE-2021-1520
openSUSE Tumbleweed
  • chkstat >= 1550_20210901-29.2
  • permissions >= 20210901.1550-29.2
  • permissions-config >= 1550_20210901-29.2
  • permissions-zypp-plugin >= 20210901.1550-29.2
Patchnames:
openSUSE Tumbleweed GA chkstat-1550_20210901-29.2


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES15-EC2-CHOST-HVM-BYOS permissions Not affected
SLES15-SP1-CHOST-BYOS-Azure permissions Released
SLES15-SP1-CHOST-BYOS-EC2 permissions Released
SLES15-SP1-CHOST-BYOS-GCE permissions Released
SLES15-SP2-CHOST-BYOS-Aliyun permissions Already fixed
SLES15-SP2-CHOST-BYOS-Azure permissions Already fixed
SLES15-SP2-CHOST-BYOS-EC2 permissions Already fixed
SLES15-SP2-CHOST-BYOS-GCE permissions Already fixed
SLES15-SP2-CHOST-BYOS-OpenStack permissions Already fixed
SLES15-SP3-CHOST-BYOS-Aliyun permissions Already fixed
SLES15-SP3-CHOST-BYOS-Azure permissions Already fixed
SLES15-SP3-CHOST-BYOS-EC2 permissions Already fixed
SLES15-SP3-CHOST-BYOS-GCE permissions Already fixed
SUSE CaaS Platform 3.0 permissions Not affected
SUSE CaaS Platform 4.0 permissions Released
SUSE Container as a Service Platform 1.0 permissions Not affected
SUSE Container as a Service Platform 2.0 permissions Not affected
SUSE Enterprise Storage 6 permissions Released
SUSE Linux Enterprise Desktop 12 SP4 permissions Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 permissions Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS permissions Released
SUSE Linux Enterprise Module for Basesystem 15 permissions Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 permissions Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 permissions Already fixed
SUSE Linux Enterprise Server 11 SP4 LTSS permissions Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS permissions Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS permissions Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS permissions Not affected
SUSE Linux Enterprise Server 12 SP4 permissions Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS permissions Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 permissions Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 permissions Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 permissions Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 permissions Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 permissions Released
SUSE Manager Proxy 4.0 permissions Released
SUSE Manager Retail Branch Server 4.0 permissions Released
SUSE Manager Server 4.0 permissions Released
bci/dotnet-aspnet:3.1
bci/dotnet-aspnet:5.0
bci/dotnet-aspnet:6.0
bci/dotnet-runtime:3.1
bci/dotnet-runtime:5.0
bci/dotnet-runtime:6.0
bci/dotnet-sdk:3.1
bci/dotnet-sdk:5.0
bci/dotnet-sdk:6.0
bci/golang:1.16
bci/golang:1.17
bci/init
bci/nodejs:12
bci/nodejs:14
bci/openjdk-devel:11
bci/openjdk:11
bci/ruby:2.5
ingress-nginx-controller:0.15.0
ses/7/ceph/ceph
ses/7/ceph/grafana
ses/7/cephcsi/cephcsi
ses/7/cephcsi/csi-attacher:v2.1.0
ses/7/cephcsi/csi-attacher:v3.0.0
ses/7/cephcsi/csi-livenessprobe:v1.1.0
ses/7/cephcsi/csi-node-driver-registrar:v1.2.0
ses/7/cephcsi/csi-node-driver-registrar:v2.0.1
ses/7/cephcsi/csi-provisioner:v1.6.0
ses/7/cephcsi/csi-provisioner:v2.0.0
ses/7/cephcsi/csi-resizer:v0.4.0
ses/7/cephcsi/csi-resizer:v1.0.0
ses/7/cephcsi/csi-snapshotter:v2.1.0
ses/7/cephcsi/csi-snapshotter:v2.1.1
ses/7/cephcsi/csi-snapshotter:v3.0.0
ses/7/prometheus-webhook-snmp
ses/7/prometheus/prometheus-alertmanager
ses/7/prometheus/prometheus-node-exporter
ses/7/prometheus/prometheus-server
ses/7/rook/ceph
suse/sle15:15.2
suse/sle15:15.3
suse/sle15:15.4
suse/sles/15.2/virt-api:0.38.1
suse/sles/15.2/virt-controller:0.38.1
suse/sles/15.2/virt-handler:0.38.1
suse/sles/15.2/virt-launcher:0.38.1
suse/sles/15.2/virt-operator:0.38.1
suse/sles/15.3/cdi-apiserver:1.37.1
suse/sles/15.3/cdi-cloner:1.37.1
suse/sles/15.3/cdi-controller:1.37.1
suse/sles/15.3/cdi-importer:1.37.1
suse/sles/15.3/cdi-operator:1.37.1
suse/sles/15.3/cdi-uploadproxy:1.37.1
suse/sles/15.3/cdi-uploadserver:1.37.1
suse/sles/15.3/libguestfs-tools:0.45.0
suse/sles/15.3/virt-api:0.45.0
suse/sles/15.3/virt-controller:0.45.0
suse/sles/15.3/virt-handler:0.45.0
suse/sles/15.3/virt-launcher:0.45.0
suse/sles/15.3/virt-operator:0.45.0
trento/trento-db
trento/trento-runner
trento/trento-web
permissionsAlready fixed
suse/sle15:15.0
suse/sles12sp3
suse/sles12sp4
permissionsNot affected
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
suse/sle15:15.1
permissionsReleased